%define version 0.1
%define release %mkrel 5
%define oname bmp-fc
Name: audacious-fc
Summary: Future Composer plugin for Audacious
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://xmms-fc.sourceforge.net/
Source:	http://prdownloads.sourceforge.net/xmms-fc/%{oname}-%{version}.tar.bz2
Patch: bmp-fc-0.1-audacious.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: audacious-devel
Requires: audacious
Provides: beep-media-player-fc
Obsoletes: beep-media-player-fc

%description
This is an input plugin for Audacious Player which can play back
Future Composer music files from AMIGA.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .audacious
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/*/Input/libfc.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README src/FC.README
#ChangeLog
%{_libdir}/audacious/Input/libfc.so

%changelog
* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 0.1-5mdv2007.0
- update the patch

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.1-4mdk
- fix the patch

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.1-3mdk
- rediff the patch for new audacious

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.1-2mdk
- rebuild for new libaudacious
- use mkrel

* Fri Dec  2 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- rename from beep-media-player-fc

* Thu Sep 29 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- initial package

* Mon Jul 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.4-1mdk
- drop patch
- fix URL
- New release 0.5.4

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-3mdk
- fix buildrequires
- patch for new g++

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-2mdk
- clean out unused file
- fix buildrequires

* Thu Aug 15 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- 0.5.3
- remove patch and calls of autoconf/make
- remove libfc.la
- fix doc section

* Mon Jul 29 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.2-4mdk
- gcc 3.2 build

* Thu Jul 25 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.2-3mdk
- gcc 3.1.1 fix

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.2-2mdk
- rebuild to fix invalid-packager

* Wed Feb  6 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- macros
- 0.5.2

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.1-2mdk
- rebuild to fix invalid-buildhost

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- fixes from Götz Waschk <waschk@linux-mandrake.com> :
	- added ChangeLog to documentation
	- 0.5.1

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.5-4mdk
- rebuild

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-3mdk
- rebuild

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- macros

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-1mdk
- spec cleaning
- updated to 0.5 (Götz Waschk <waschk@linux-mandrake.com>)

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-2mdk
- took contributed SRPM from Götz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Götz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- initial Mandrake Release
